Host V Storage Object Manager V Storage Object Delete Snapshot Ex Task

Host V Storage Object Manager V Storage Object Delete Snapshot Ex Task
Deletes a given snapshot of a VStorageObject.

Deletes a given snapshot of a VStorageObject.

Requires Datastore.FileManagement privilege.

Since: vSphere API Release 8.0.2.0

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostVStorageObjectManager/{moId}/VStorageObjectDeleteSnapshotEx_Task
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostVStorageObjectManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
Required

Show optional properties

{
    "id": {},
    "datastore": {},
    "snapshotId": {}
}
{
    "id": {
        "_typeName": "string",
        "id": "string"
    },
    "datastore": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "snapshotId": {
        "_typeName": "string",
        "id": "string"
    }
}
id
Required

The ID of the virtual storage object.

datastore
Required

The datastore where the source virtual storage object is located.

snapshotId
Required

The ID of the snapshot of a virtual storage object.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns MoRefTask of type(s) application/json
This response body class contains all of the following: MoRefExtensibleManagedObject
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

FileFault: If an error occurs while snapshotting the virtual storage object.

InvalidDatastore: If the operation cannot be performed on the datastore.

InvalidState: If the operation cannot be performed on the disk.

NotFound: If specified virtual storage object cannot be found.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"id":"{}","datastore":"{}","snapshotId":"{}"}' https://{api_host}/sdk/vim25/{release}/HostVStorageObjectManager/{moId}/VStorageObjectDeleteSnapshotEx_Task
                
Availability
Added in vSphere API Release 8.0.2.0
Virtual Infrastructure Operations
POST
Host V Storage Object Manager Host V Storage Object Revert Task
POST
Host V Storage Object Manager Host Clear V Storage Object Control Flags
POST
Host V Storage Object Manager Host Clone V Storage Object Task
POST
Host V Storage Object Manager Host Create Disk Task
POST
Host V Storage Object Manager Host V Storage Object Create Disk From Snapshot Task
POST
Host V Storage Object Manager Host V Storage Object Create Snapshot Task
POST
Host V Storage Object Manager V Storage Object Create Snapshot Ex Task
POST
Host V Storage Object Manager Host V Storage Object Delete Snapshot Task
POST
Host V Storage Object Manager V Storage Object Delete Snapshot Ex Task
POST
Host V Storage Object Manager V Storage Object Delete Snapshot Ex2 Task
POST
Host V Storage Object Manager Host Delete V Storage Object Task
POST
Host V Storage Object Manager Host Delete V Storage Object Ex Task
POST
Host V Storage Object Manager Host Extend Disk Task
POST
Host V Storage Object Manager V Storage Object Extend Disk Ex Task
POST
Host V Storage Object Manager Host Inflate Disk Task
POST
Host V Storage Object Manager Host List V Storage Object
POST
Host V Storage Object Manager Host Query Virtual Disk Uuid
POST
Host V Storage Object Manager Host Reconcile Datastore Inventory Task
POST
Host V Storage Object Manager Host Register Disk
POST
Host V Storage Object Manager Host Relocate V Storage Object Task
POST
Host V Storage Object Manager Host Rename V Storage Object
POST
Host V Storage Object Manager Rename V Storage Object Ex
POST
Host V Storage Object Manager Repair V Storage Object Chain Task
POST
Host V Storage Object Manager Host V Storage Object Retrieve Snapshot Info
POST
Host V Storage Object Manager Host Retrieve V Storage Infrastructure Object Policy
POST
Host V Storage Object Manager Host Retrieve V Storage Object
POST
Host V Storage Object Manager Host Retrieve V Storage Object Metadata
POST
Host V Storage Object Manager Host Retrieve V Storage Object Metadata Value
POST
Host V Storage Object Manager Host Retrieve V Storage Object State
POST
Host V Storage Object Manager Revert V Storage Object Ex Task
POST
Host V Storage Object Manager Host Schedule Reconcile Datastore Inventory
POST
Host V Storage Object Manager Host Set V Storage Object Control Flags
POST
Host V Storage Object Manager Host Set Virtual Disk Uuid Task
POST
Host V Storage Object Manager Unregister Disk Task
POST
Host V Storage Object Manager Host Update V Storage Object Metadata Task
POST
Host V Storage Object Manager Host Update V Storage Object Metadata Ex Task